Subject: Re: WIP Droid 4 voice calls, GNSS & PM with a TS 27.010 serdev driver

From: Pavel Machek <[email-masked]>
Date: Wed, 16 Jan 2019 14:48:23 +0100

Hi!

> > > > I did a quick test in my config... and it did not break my old setup
> > > > -- voice calls still work when set up over USB and with manual mixer
> > > > setup. That was good surprise.
> > > 
> > > OK good to hear. Using the n_gsm port instead of USB during idle
> > > has a major PM advantage as the SoC can hit retention during idle
> > > while still connected to the modem and getting notifications.
> > > 
> > > So looks like during idle we can keep USB in autosuspend mode with
> > > something like the below shell script function.
> > 
> > Yes, I should really start using serials instead of USB. But... I have
> > working ofono there, and was using that phone and am little short on
> > time at the moment.
> 
> Hopefully adding support to ofono and modemmanager to use use
> /dev/motmdm1 for calls should be quite trivial now.

[email-masked]:pavelmachek/ofono.git

"quite trivial" does not mix with ofono. I did parts and it is still
not finished. At the moment, I do not have enough working SIM cards to
test everything. Feel free to help :-).
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel